# GES utilities

## Functions

### ges_pspec_equal

    gboolean
    ges_pspec_equal (gconstpointer key_spec_1,
                     gconstpointer key_spec_2)

Parameters:

`key_spec_1` –
No description available
`key_spec_2` –
No description available
Returns –
No description available

### GES.prototype.pspec_equal

    function GES.prototype.pspec_equal(key_spec_1: Object, key_spec_2: Object): {
        // javascript wrapper for 'ges_pspec_equal'
    }

Parameters:

`key_spec_1` (Object) –
No description available
`key_spec_2` (Object) –
No description available
Returns (Number) –
No description available

### GES.pspec_equal

    def GES.pspec_equal (key_spec_1, key_spec_2):
        #python wrapper for 'ges_pspec_equal'

Parameters:

`key_spec_1` (object) –
No description available
`key_spec_2` (object) –
No description available
Returns (bool) –
No description available

### ges_pspec_hash

    guint
    ges_pspec_hash (gconstpointer key_spec)

Parameters:

`key_spec` –
No description available
Returns –
No description available

### GES.prototype.pspec_hash

    function GES.prototype.pspec_hash(key_spec: Object): {
        // javascript wrapper for 'ges_pspec_hash'
    }

Parameters:

`key_spec` (Object) –
No description available
Returns (Number) –
No description available

### GES.pspec_hash

    def GES.pspec_hash (key_spec):
        #python wrapper for 'ges_pspec_hash'

Parameters:

`key_spec` (object) –
No description available
Returns (int) –
No description available

The results of the search are